> ## Documentation Index
> Fetch the complete documentation index at: https://developers.dock.us/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a list of workspace plan task statuses

> Retrieve the statuses a workspace plan task can be moved to: its plan's statuses in order, then `Completed`. New plans have `To-do` and `In-progress`; plans created from a template use the template's statuses, which can be renamed, added or removed in the plan. Send a status's `name` as `status` when updating the task

> [!NOTE]
>
> This endpoint is rate limited to **120 requests per minute** per
> company. See [Rate limits](https://developers.dock.us/api-reference/rate-limits.md) for details.


## OpenAPI

````yaml get /workspace-plan-tasks/{id}/statuses
openapi: 3.1.0
info:
  title: Dock API
  description: >-
    The Dock API is a RESTful API that allows you to interact with Dock in a
    programmatic way
  termsOfService: https://www.dock.us/legal/terms
  contact:
    name: API Support
    email: developers@dock.us
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  version: 1.0.0
servers:
  - url: https://api.dock.us/{version}
    description: Production server
    variables:
      version:
        default: v1
        enum:
          - v1
security:
  - bearerAuth: []
tags:
  - name: Status check
    description: API to check if the API is up
  - name: Accounts
    description: API to manage accounts
  - name: Assets
    description: API to manage assets
  - name: Asset share links
    description: API to retrieve asset share links
  - name: Courses
    description: API to retrieve courses and their content
  - name: Files
    description: API to manage files
  - name: Forms
    description: API to retrieve forms and their responses
  - name: Learning assignments
    description: API to assign courses and pathways to learners
  - name: Meetings
    description: API to manage meetings and call transcripts
  - name: Pathways
    description: API to retrieve learning pathways
  - name: Playbooks
    description: API to retrieve playbooks and their content
  - name: Tags
    description: API to manage tags
  - name: Users
    description: API to manage users
  - name: Workspaces
    description: API to manage workspaces
  - name: Templates
    description: API to manage templates
  - name: Workspace pages
    description: API to manage workspace pages
  - name: Workspace plans
    description: API to manage workspace plans
  - name: Workspace plan tasks
    description: API to manage workspace plan tasks
  - name: Workspace sections
    description: API to manage workspace sections
paths:
  /workspace-plan-tasks/{id}/statuses:
    get:
      tags:
        - Workspace plan tasks
      description: >-
        Retrieve the statuses a workspace plan task can be moved to: its plan's
        statuses in order, then `Completed`. New plans have `To-do` and
        `In-progress`; plans created from a template use the template's
        statuses, which can be renamed, added or removed in the plan. Send a
        status's `name` as `status` when updating the task
      parameters:
        - $ref: '#/components/parameters/id'
      responses:
        '200':
          description: List of workspace plan task statuses
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      workspacePlanTaskStatuses:
                        type: array
                        items:
                          $ref: '#/components/schemas/WorkspacePlanTaskStatus'
              example:
                data:
                  workspacePlanTaskStatuses:
                    - object: workspace-plan-task-status
                      name: To-do
                      index: 0
                      isCompleted: false
                    - object: workspace-plan-task-status
                      name: In-progress
                      index: 1
                      isCompleted: false
                    - object: workspace-plan-task-status
                      name: Completed
                      index: 2
                      isCompleted: true
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '429':
          $ref: '#/components/responses/429'
        '500':
          $ref: '#/components/responses/500'
components:
  parameters:
    id:
      name: id
      in: path
      example: RiHO4e0Ju3DS
      required: true
      description: Unique identifier
      schema:
        type: string
        example: RiHO4e0Ju3DS
  schemas:
    WorkspacePlanTaskStatus:
      type: object
      properties:
        object:
          type: string
          description: Type of the object
          enum:
            - workspace-plan-task-status
          example: workspace-plan-task-status
          readOnly: true
        name:
          type: string
          description: >-
            Name of the status. Send it as `status` to [Update a workspace plan
            task](/api-reference/endpoint/workspace-plan-tasks/update-a-workspace-plan-task)
          example: In-progress
          readOnly: true
        index:
          type: integer
          description: >-
            Position of the status on the plan, starting at 0. `Completed` is
            always last
          example: 1
          readOnly: true
        isCompleted:
          type: boolean
          description: Whether this is the `Completed` status, which marks the task as done
          example: false
          readOnly: true
  responses:
    '401':
      description: >-
        Although the HTTP standard specifies "unauthorized", semantically this
        response means "unauthenticated". That is, the client must authenticate
        itself to get the requested response
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - UNAUTHORIZED
                    description: A short code indicating the error code returned
                    example: UNAUTHORIZED
                  message:
                    type: string
                    description: A human readable explanation of what went wrong
                    example: >-
                      Access denied. You are not authorized to access this
                      resource
                required:
                  - code
                  - message
            required:
              - error
    '403':
      description: >-
        The client does not have access rights to the content; that is, it is
        unauthorized, so the server is refusing to give the requested resource.
        Unlike 401 Unauthorized, the client's identity is known to the server
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - FORBIDDEN
                    description: A short code indicating the error code returned
                    example: FORBIDDEN
                  message:
                    type: string
                    description: A human readable explanation of what went wrong
                    example: Access to this resource is restricted
                required:
                  - code
                  - message
            required:
              - error
    '404':
      description: The server cannot find the requested resource
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - NOT_FOUND
                    description: A short code indicating the error code returned
                    example: NOT_FOUND
                  message:
                    type: string
                    description: A human readable explanation of what went wrong
                    example: The requested resource could not be found
                required:
                  - code
                  - message
            required:
              - error
    '429':
      description: >-
        The user has sent too many requests in a given amount of time ("rate
        limiting")
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - RATE_LIMIT_EXCEEDED
                    description: A short code indicating the error code returned
                    example: RATE_LIMIT_EXCEEDED
                  message:
                    type: string
                    description: A human readable explanation of what went wrong
                    example: Rate limit exceeded. Please try again later
                required:
                  - code
                  - message
            required:
              - error
    '500':
      description: The server has encountered a situation it does not know how to handle
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - INTERNAL_SERVER_ERROR
                    description: A short code indicating the error code returned
                    example: INTERNAL_SERVER_ERROR
                  message:
                    type: string
                    description: A human readable explanation of what went wrong
                    example: >-
                      The server has encountered a situation it does not know
                      how to handle
                required:
                  - code
                  - message
            required:
              - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.